Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006132TestLinkTest Execute - 'Save and move to next'public2014-01-03 17:052014-04-02 17:51
Reportermshah 
Assigned Tofman 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006132: 'Save and move to next' button has the same behaviour as 'Save'
DescriptionThe 'save and move' to next feature does not work as intended.
Steps To Reproduce1. Open a test plan with multiple test cases assigned
2. Select PASS then submit using 'SAVE AND MOVE TO NEXT'

Result:
The page and frames will refresh. Basically this does exactly the same thing as 'Save'
Additional InformationThis impacts usability.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
BrowserFirefox
PHP Version5.5.3
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0020280)
fman (administrator)
2014-01-03 17:45

https://twitter.com/TLOpenSource/status/403275913644613632 [^]
(0020281)
fman (administrator)
2014-01-03 17:46

https://gitorious.org/testlink-ga/testlink-code/commit/1e37a1893cd269d42a492a9911095142a6c3faa5 [^]
(0020658)
nnephew (reporter)
2014-04-01 20:44

Was this also meant to fix the issue with "show complete/last execution history" as reported in 6220?

I tried these changes and while the page does not refresh like before, it does not show my complete execution history either, just the last execution.
(0020660)
qksb (reporter)
2014-04-02 09:06

http://mantis.testlink.org/view.php?id=6220#c20469 [^] I had the same bug.

It is fixed on 1.9.10 or here is the link provided by @fman to fix it manually : https://gitorious.org/testlink-ga/testlink-code/commit/1e37a1893cd269d42a492a9911095142a6c3faa5 [^] [^]
(0020661)
nnephew (reporter)
2014-04-02 12:25

Yea, I made those changes to execNavigator.tpl. The page refreshes and only shows my last execution whether I select "last execution" or "complete execution history".

Are you saying this is working for you correctly with those changes?
(0020662)
qksb (reporter)
2014-04-02 12:30

Yes, it works properly for me with the changes I have made
(0020663)
nnephew (reporter)
2014-04-02 12:32

OK.. I'll look at it again..

Thanks!

- Issue History
Date Modified Username Field Change
2014-01-03 17:05 mshah New Issue
2014-01-03 17:45 fman Note Added: 0020280
2014-01-03 17:46 fman QA Team - Task Workflow Status => TBD
2014-01-03 17:46 fman Note Added: 0020281
2014-01-03 17:46 fman Status new => resolved
2014-01-03 17:46 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-01-03 17:46 fman Resolution open => fixed
2014-01-03 17:46 fman Assigned To => fman
2014-04-01 20:44 nnephew Note Added: 0020658
2014-04-02 09:06 qksb Note Added: 0020660
2014-04-02 12:25 nnephew Note Added: 0020661
2014-04-02 12:30 qksb Note Added: 0020662
2014-04-02 12:32 nnephew Note Added: 0020663
2014-04-02 17:51 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker